# Uses of Record Class
org.apache.lucene.store.FlushInfo

Packages that use FlushInfo
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

## Uses of FlushInfo in org.apache.lucene.store

Methods in org.apache.lucene.store that return FlushInfo
Modifier and Type
Method
Description
`FlushInfo`
IOContext.`flushInfo()`
Returns the value of the `flushInfo` record component.
Constructors in org.apache.lucene.store with parameters of type FlushInfo
Modifier
Constructor
Description
``
`IOContext(FlushInfo flushInfo)`
Creates an `IOContext` for flushing.
``
`IOContext(IOContext.Context context, MergeInfo mergeInfo, FlushInfo flushInfo, ReadAdvice readAdvice)`
Creates an instance of a `IOContext` record class.